REGISTER_SOUND(9)

NAME
register_sound_special_device - register a special sound node

SYNOPSIS

int register_sound_special_device (struct file_operations * fops, int unit, struct device * dev);

ARGUMENTS

fops
    File operations for the driver

unit
    Unit number to allocate

dev device pointer

DESCRIPTION

Allocate a special sound device by minor number from the sound subsystem. The allocated number is returned on succes. On failure a negative error code is returned.